'use strict';

var _babblerScriptJs = require('babbler-script-js');

var _babblerScriptJs2 = _interopRequireDefault(_babblerScriptJs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// BabblerScriptState.js

var React = require('react');

//import BabblerScript from '../../babbler-script-js/src/babbler-script';

// Состояние скрипта BabblerScript
var BabblerScriptState = React.createClass({
    displayName: 'BabblerScriptState',


    getInitialState: function getInitialState() {
        return {
            scriptState: this.props.babblerScript.state,
            err: ''
        };
    },

    componentDidMount: function componentDidMount() {
        this.programStateListener = function (state, err) {
            this.setState({ scriptState: state, err: err });
        }.bind(this);

        this.props.babblerScript.on(_babblerScriptJs2.default.Event.STATE, this.programStateListener);
    },

    componentWillUnmount: function componentWillUnmount() {
        // почистим слушателей
        this.props.babblerScript.removeListener(_babblerScriptJs2.default.Event.STATE, this.programStateListener);
    },

    render: function render() {

        return React.createElement(
            'span',
            { style: this.props.style },
            this.state.scriptState
        );
    }
});

// отправляем компонент на публику
module.exports = BabblerScriptState;